import { Component, OnInit, Input, Output, EventEmitter, ViewChild } from '@angular/core';
import { MainService } from '../../../services/main.service';
import { Router } from '@angular/router';
import { OverlayScrollbarsComponent } from 'overlayscrollbars-ngx';
import { ToolService } from 'src/app/services/tool.service';

@Component({
  selector: 'app-incident-handle-info-simple',
  templateUrl: './incident-handle-info-simple.component.html',
  styleUrls: ['./incident-handle-info-simple.component.less']
})
export class IncidentHandleInfoSimpleComponent implements OnInit {
  @Output() closeModelHs = new EventEmitter<any>();//1.组件暴露一个 EventEmitter 属性，当事件发生时，子组件利用该属性 emits(向上弹射)事件
  @Output() confirmModelHs = new EventEmitter<any>();//1.组件暴露一个 EventEmitter 属性，当事件发生时，子组件利用该属性 emits(向上弹射)事件

  constructor(
    private mainService: MainService,
    private router: Router,
    public tool: ToolService,
  ) { }

  isLoading = false;
  formDTO:any =  {};

  ngOnInit() {
    this.getOrders();
  }
  // 关闭弹窗
  hideModal() {
    this.closeModelHs.emit(JSON.stringify({ show: false }));//emits(向上弹射)事件
  }
  // 获取列表数据
  getOrders(idx?) {
    // if (idx) {
    //   this.historySpecimenPageIndex = 1;
    // }
    // let postData = {
    //   idx: this.historySpecimenPageIndex - 1,
    //   sum: this.historySpecimenPageSize,
    //   workOrder: {
    //     hosId: JSON.parse(localStorage.getItem("user")).user.currentHospital.id,
    //     gdState: {id: "72"},
    //     taskType: {associationType: {id: 256}},
    //   }
    // }
    // this.mainService.getFetchDataList('data','workOrder',postData).subscribe(data => {
    //   this.historySpecimenList = data.list || [];
    //   this.historySpecimenListLength = data.totalNum || 0;
    // })
  }

  // 表单提交
  submitForm(): void {
    this.confirmModelHs.emit();
  }
}




