import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FuwutaiRoutingModule } from './fuwutai-routing.module';
import { FuwutaiComponent } from './fuwutai.component';
import { ShareModule } from 'src/app/share/share.module';

import { NgxPrintModule } from 'ngx-print';
import { OrderScopeModule } from 'src/app/components/order-scope/order-scope.module';


@NgModule({
  declarations: [
    FuwutaiComponent
  ],
  imports: [
    CommonModule,
    ShareModule,
    FuwutaiRoutingModule,
    NgxPrintModule,
    OrderScopeModule,
  ]
})
export class FuwutaiModule { }
