import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { IncidentManagementRoutingModule } from './incident-management-routing.module';
import { IncidentManagementComponent } from './incident-management.component';
import { ShareModule } from 'src/app/share/share.module';
import { IncidentHandleModule } from 'src/app/components/incidentManagement/incident-handle/incident-handle.module';
import { IncidentSubstitutionModule } from 'src/app/components/incidentManagement/incident-substitution/incident-substitution.module';


@NgModule({
  declarations: [
    IncidentManagementComponent,
  ],
  imports: [
    CommonModule,
    IncidentManagementRoutingModule,
    ShareModule,
    IncidentHandleModule,
    IncidentSubstitutionModule,
  ]
})
export class IncidentManagementModule { }
