import { Component, OnInit, AfterViewInit } from "@angular/core";
import { Location } from '@angular/common';

@Component({
  selector: "app-other-config",
  templateUrl: "./other-config.component.html",
  styleUrls: ["./other-config.component.less"],
})
export class OtherConfigComponent implements OnInit, AfterViewInit {
  constructor(
    private _location: Location,
  ){}

  // tab
  tagList:any = [
    { id: 1, name: '呼叫中心',},
    { id: 2, name: '微信配置',},
    // { id: 3, name: '数据字典',},
  ];

  ngOnInit(): void {}

  ngAfterViewInit(){
    this.clickTag(this.tagList[0]);
  }

  // 点击tab
  activeTagId:any = 1;
  clickTag(tag){
    this.activeTagId = tag.id;
  }

  // 返回
  goBack(){
    this._location.back();
  }
}
