import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";

import { QuiltWashingTrendAnalysisRoutingModule } from "./quilt-washing-trend-analysis-routing.module";
import { ShareModule } from "src/app/share/share.module";
import { QuiltWashingTrendAnalysisComponent } from "./quilt-washing-trend-analysis.component";
import { NgxEchartsModule } from 'ngx-echarts';

@NgModule({
  declarations: [QuiltWashingTrendAnalysisComponent],
  imports: [
    CommonModule,
    QuiltWashingTrendAnalysisRoutingModule,
    NgxEchartsModule,
    ShareModule,
  ],
})
export class QuiltWashingTrendAnalysisModule {}
