import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { IncidentSubstitutionComponent } from './incident-substitution.component';
import { ShareModule } from 'src/app/share/share.module';
import { IncidentSubstitutionRedeployComponent } from '../incident-substitutio-redeploy/incident-substitution-redeploy.component';
import { IncidentSubstitutionAssignComponent } from '../incident-substitutio-assign/incident-substitution-assign.component';
import { IncidentSubstitutionUpgradeComponent } from '../incident-substitutio-upgrade/incident-substitution-upgrade.component';
import { IncidentSubstitutionReassignComponent } from '../incident-substitutio-reassign/incident-substitution-reassign.component';


@NgModule({
  declarations: [
    IncidentSubstitutionComponent,
    IncidentSubstitutionRedeployComponent,
    IncidentSubstitutionAssignComponent,
    IncidentSubstitutionUpgradeComponent,
    IncidentSubstitutionReassignComponent,
  ],
  imports: [
    CommonModule,
    ShareModule,
  ],
  exports: [
    IncidentSubstitutionComponent,
  ]
})
export class IncidentSubstitutionModule { }
