import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { InspectionExecuteComponent } from './inspection-execute.component';
import { InspectionExecuteDetailComponent } from 'src/app/share/inspection-execute-detail/inspection-execute-detail.component';


const routes: Routes = [
  {
    path: '',
    component: InspectionExecuteComponent,
    children: [
      {
        // 查看详情
        path: 'inspectionExecuteDetail/:id',
        component: InspectionExecuteDetailComponent,
      }
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class InspectionExecuteRoutingModule { }
