import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MainRoutingModule } from './main-routing.module';
import { MainComponent } from './main.component';
import { ShareModule } from 'src/app/share/share.module';
import { SelectMenuComponent } from 'src/app/components/select-menu/select-menu.component';

@NgModule({
  declarations: [
    MainComponent,
    SelectMenuComponent,
  ],
  imports: [
    CommonModule,
    MainRoutingModule,
    ShareModule
  ]
})
export class MainModule { }
