import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";

import { MedicalWasteHospitalStatisticsRoutingModule } from "./medical-waste-hospital-statistics-routing.module";
import { ShareModule } from "src/app/share/share.module";
import { MedicalWasteHospitalStatisticsComponent } from "./medical-waste-hospital-statistics.component";
import { NgxEchartsModule } from 'ngx-echarts';

@NgModule({
  declarations: [MedicalWasteHospitalStatisticsComponent],
  imports: [
    CommonModule,
    MedicalWasteHospitalStatisticsRoutingModule,
    NgxEchartsModule,
    ShareModule,
  ],
})
export class MedicalWasteHospitalStatisticsModule {}
