import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";

import { MedicalWasteTrendAnalysisRoutingModule } from "./medical-waste-trend-analysis-routing.module";
import { ShareModule } from "src/app/share/share.module";
import { MedicalWasteTrendAnalysisComponent } from "./medical-waste-trend-analysis.component";
import { NgxEchartsModule } from 'ngx-echarts';

@NgModule({
  declarations: [MedicalWasteTrendAnalysisComponent],
  imports: [
    CommonModule,
    MedicalWasteTrendAnalysisRoutingModule,
    NgxEchartsModule,
    ShareModule,
  ],
})
export class MedicalWasteTrendAnalysisModule {}
